***

title: submit_verification
slug: /reference/python/rest/verified-callers/submit-verification
description: Submit a verification code to complete caller ID verification.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Submit the verification code received during the verification call or SMS.

<EndpointSchemaSnippet endpoint="PUT /api/relay/rest/verified_caller_ids/{id}/verification" />

## **Response Example**

<EndpointResponseSnippet endpoint="PUT /api/relay/rest/verified_caller_ids/{id}/verification" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

result = client.verified_callers.submit_verification(
    "caller-id",
    verification_code="123456",
)
print("State:", result.get("verification_state"))
```